package com.shzg.project.worn.service;

import java.util.List;
import com.shzg.project.worn.domain.MqttTopicConfig;

/**
 * MQTT主题配置Service接口
 * 
 * @author shzg
 * @date 2026-04-08
 */
public interface IMqttTopicConfigService 
{
    /**
     * 查询MQTT主题配置
     * 
     * @param id MQTT主题配置主键
     * @return MQTT主题配置
     */
    public MqttTopicConfig selectMqttTopicConfigById(Long id);

    /**
     * 查询MQTT主题配置列表
     * 
     * @param mqttTopicConfig MQTT主题配置
     * @return MQTT主题配置集合
     */
    public List<MqttTopicConfig> selectMqttTopicConfigList(MqttTopicConfig mqttTopicConfig);

    /**
     * 查询所有启用的 MQTT 主题配置
     *
     * @return MQTT 主题配置集合
     */
    public List<MqttTopicConfig> selectEnabledMqttTopicConfigList();

    /**
     * 新增MQTT主题配置
     * 
     * @param mqttTopicConfig MQTT主题配置
     * @return 结果
     */
    public int insertMqttTopicConfig(MqttTopicConfig mqttTopicConfig);

    /**
     * 修改MQTT主题配置
     * 
     * @param mqttTopicConfig MQTT主题配置
     * @return 结果
     */
    public int updateMqttTopicConfig(MqttTopicConfig mqttTopicConfig);

    /**
     * 批量删除MQTT主题配置
     * 
     * @param ids 需要删除的MQTT主题配置主键集合
     * @return 结果
     */
    public int deleteMqttTopicConfigByIds(Long[] ids);

    /**
     * 删除MQTT主题配置信息
     * 
     * @param id MQTT主题配置主键
     * @return 结果
     */
    public int deleteMqttTopicConfigById(Long id);

    /**
     * 根据部门ID查询MQTT主题配置
     *
     * @param deptId 部门ID
     * @return MQTT主题配置
     */
    MqttTopicConfig selectByDeptId(Long deptId);
}
